% percentage_noise.m
% This function introduces uniform random error with percentage uncertainty
% of x*100%

function y = percentage_noise(error, x)

La = (x-x*error); % lower bound
Lb = (x+x*error); % upper bound
y = La + (Lb-La).*rand; % random value within range, assuming uniform 
% error distribution
end